- [HTTP request](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.request_body)
- [Response body](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.NodeGroup.SCHEMA_REPRESENTATION)
    - [JSON representation](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.NodeGroup.SCHEMA_REPRESENTATION.maintenance_window.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#body.aspect_1)
- [Try it!](https://docs.cloud.google.com/compute/docs/reference/rest/beta/nodeGroups/get#try-it)

Returns the specified NodeGroup. nodeGroups.get a list of available NodeGroups by making a `list()` request. Note: the "nodes" field should not be used. Use nodeGroups.listNodes instead.

### HTTP request

Choose an endpoint:
global africa-south1 asia-east1 asia-east2 asia-northeast1 asia-northeast2 asia-northeast3 asia-south1 asia-south2 asia-southeast1 asia-southeast2 asia-southeast3 australia-southeast1 australia-southeast2 europe-central2 europe-north1 europe-north2 europe-southwest1 europe-west1 europe-west10 europe-west12 europe-west2 europe-west3 europe-west4 europe-west6 europe-west8 europe-west9 me-central1 me-central2 me-west1 northamerica-northeast1 northamerica-northeast2 northamerica-south1 southamerica-east1 southamerica-west1 us-central1 us-east1 us-east4 us-east5 us-south1 us-west1 us-west2 us-west3 us-west4   
`GET https://compute.googleapis.com/compute/beta/projects/{project}/zones/{zone}/nodeGroups/{nodeGroup}`

<br />

The URLs use [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `project` | `string` Project ID for this request. |
| `zone` | `string` The name of the zone for this request. |
| `nodeGroup` | `string` Name of the node group to return. |

### Request body

The request body must be empty.

### Response body

Represents a sole-tenant Node Group resource.

A sole-tenant node is a physical server that is dedicated to hosting VM instances only for your specific project. Use sole-tenant nodes to keep your instances physically separated from instances in other projects, or to group your instances together on the same host hardware. For more information, read [Sole-tenant nodes](https://docs.cloud.google.com/compute/docs/nodes).

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "kind": string, "id": string, "creationTimestamp": string, "name": string, "description": string, "nodeTemplate": string, "zone": string, "selfLink": string, "status": enum, "size": integer, "autoscalingPolicy": { "mode": enum, "minNodes": integer, "maxNodes": integer }, "maintenancePolicy": enum, "locationHint": string, "fingerprint": string, "maintenanceWindow": { "startTime": string, "maintenanceDuration": { "seconds": string, "nanos": integer } }, "shareSettings": { "shareType": enum, "projects": [ string ], "projectMap": { string: { "projectId": string }, ... }, "folderMap": { string: { "folderId": string }, ... } }, "maintenanceInterval": enum } ``` |

| Fields ||
|---|---|
| `kind` | `string` Output only. The type of the resource. Always `compute#nodeGroup` for node group. |
| `id` | `string (https://developers.google.com/discovery/v1/type-format format)` Output only. The unique identifier for the resource. This identifier is defined by the server. |
| `creationTimestamp` | `string` Output only. Creation timestamp in [RFC3339](https://www.ietf.org/rfc/rfc3339.txt) text format. |
| `name` | `string` The name of the resource, provided by the client when initially creating the resource. The resource name must be 1-63 characters long, and comply with [RFC1035](https://www.ietf.org/rfc/rfc1035.txt). Specifically, the name must be 1-63 characters long and match the regular expression `[a-z]([-a-z0-9]*[a-z0-9])?` which means the first character must be a lowercase letter, and all following characters must be a dash, lowercase letter, or digit, except the last character, which cannot be a dash. |
| `description` | `string` An optional description of this resource. Provide this property when you create the resource. |
| `nodeTemplate` | `string` URL of the node template to create the node group from. |
| `zone` | `string` Output only. The name of the zone where the node group resides, such as us-central1-a. |
| `selfLink` | `string` Output only. Server-defined URL for the resource. |
| `status` | `enum` |
| `size` | `integer` Output only. The total number of nodes in the node group. |
| `autoscalingPolicy` | `object` Specifies how autoscaling should behave. |
| `autoscalingPolicy.mode` | `enum` The autoscaling mode. Set to one of: `ON`, `OFF`, or `ONLY_SCALE_OUT`. For more information, see [Autoscaler modes](https://cloud.google.com/compute/docs/nodes/autoscaling-node-groups#modes). |
| `autoscalingPolicy.minNodes` | `integer` The minimum number of nodes that the group should have. |
| `autoscalingPolicy.maxNodes` | `integer` The maximum number of nodes that the group should have. Must be set if autoscaling is enabled. Maximum value allowed is 100. |
| `maintenancePolicy` | `enum` Specifies how to handle instances when a node in the group undergoes maintenance. Set to one of: `DEFAULT`, `RESTART_IN_PLACE`, or `MIGRATE_WITHIN_NODE_GROUP`. The default value is `DEFAULT`. For more information, see [Maintenance policies](https://cloud.google.com/compute/docs/nodes/sole-tenant-nodes#maintenance_policies). |
| `locationHint` | `string` An opaque location hint used to place the Node close to other resources. This field is for use by internal tools that use the public API. The location hint here on the NodeGroup overrides any locationHint present in the NodeTemplate. |
| `fingerprint` | `string (https://developers.google.com/discovery/v1/type-format format)` A base64-encoded string. |
| `maintenanceWindow` | `object` |
| `maintenanceWindow.startTime` | `string` Start time of the window. This must be in UTC format that resolves to one of `00:00`, `04:00`, `08:00`, `12:00`, `16:00`, or `20:00`. For example, both `13:00-5` and `08:00` are valid. |
| `maintenanceWindow.maintenanceDuration` | `object` Output only. A predetermined duration for the window, automatically chosen to be the smallest possible in the given scenario. |
| `maintenanceWindow.maintenanceDuration.seconds` | `string (https://developers.google.com/discovery/v1/type-format format)` Span of time at a resolution of a second. Must be from 0 to 315,576,000,000 inclusive. Note: these bounds are computed from: 60 sec/min \* 60 min/hr \* 24 hr/day \* 365.25 days/year \* 10000 years |
| `maintenanceWindow.maintenanceDuration.nanos` | `integer` Span of time that's a fraction of a second at nanosecond resolution. Durations less than one second are represented with a 0 `seconds` field and a positive `nanos` field. Must be from 0 to 999,999,999 inclusive. |
| `shareSettings` | `object` Share-settings for the node group |
| `shareSettings.shareType` | `enum` Type of sharing for this shared-reservation |
| `shareSettings.projects[]` | `string` A nodeGroups.list of Project names to specify consumer projects for this shared-reservation. This is only valid when shareType's value is SPECIFIC_PROJECTS. |
| `shareSettings.projectMap[]` | `map (key: string, value: object)` A map of project id and project config. This is only valid when shareType's value is SPECIFIC_PROJECTS. |
| `shareSettings.projectMap[].projectId` | `string` The project ID, should be same as the key of this project config in the parent map. |
| `shareSettings.folderMap[]` | `map (key: string, value: object)` A map of folder id and folder config to specify consumer projects for this shared-reservation. This is only valid when shareType's value is DIRECT_PROJECTS_UNDER_SPECIFIC_FOLDERS. Folder id should be a string of number, and without "folders/" prefix. |
| `shareSettings.folderMap[].folderId` | `string` The folder ID, should be same as the key of this folder config in the parent map. Folder id should be a string of number, and without "folders/" prefix. |
| `maintenanceInterval` | `enum` Specifies the frequency of planned maintenance events. The accepted values are: `AS_NEEDED` and `RECURRENT`. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/compute.readonly`
- `
  https://www.googleapis.com/auth/compute`
- `
  https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

In addition to any permissions specified on the fields above, authorization requires one or more of the following [IAM](https://cloud.google.com/iam/docs/) permissions:

- `compute.nodeGroups.get`

To find predefined roles that contain those permissions, see [Compute Engine IAM Roles](https://docs.cloud.google.com/compute/docs/access/iam).